# useJUnit

open fun useJUnit()

Specifies that JUnit4 should be used to discover and execute the tests.

#### See also

useJUnit(Action)

Configure JUnit4 specific options.

open fun useJUnit(@Nullable @DelegatesTo(value = JUnitOptions::class) testFrameworkConfigure: @Nullable Closure)

Specifies that JUnit4 should be used to discover and execute the tests with additional configuration.

The supplied action configures an instance of JUnit4 specific options.

#### Parameters

testFrameworkConfigure

A closure used to configure JUnit4 options.

open fun useJUnit(testFrameworkConfigure: Action<in JUnitOptions>)

Specifies that JUnit4 should be used to discover and execute the tests with additional configuration.

The supplied action configures an instance of JUnit4 specific options.

#### Since

3.5

#### Parameters

testFrameworkConfigure

An action used to configure JUnit4 options.